curl -X DELETE "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'DELETE',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
Zapier
Zapier Webhook削除
ワークスペースから既存のZapier Webhook URLを削除します
DELETE
/
v1
/
integrations
/
zapier
/
webhook
curl -X DELETE "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'DELETE',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
概要
このエンドポイントは、ワークスペースから以前登録されたZapier Webhook URLを削除します。CaretはこのURLへの通知送信を即座に停止します。 これはZapがオフまたは削除されたときにZapierがWebhookをクリーンアップするために使用されます。認証
すべてのAPIリクエストはAuthorization: Bearer <API_KEY> で認証します。
string
必須
Bearerトークン。形式:
Bearer <API_KEY>。Body
string
必須
削除するWebhook URL。
https://で始まる有効なURLである必要があります。レスポンス
string
操作の結果を示します。リクエストが処理された場合は常に
success。
curl -X DELETE "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'DELETE',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
⌘I